AcquisityDeveloper Docs
Campaigns

List campaigns

GET
/v1/workspaces/{workspaceId}/campaigns

Authorization

bearerAuth
AuthorizationBearer <token>

Paste the full personal access token or organization API key value. Examples: acq_live_..., acq_org_.... Tokens can be limited to resource/action scopes such as workspaces:read, people:write, and deals:write.

In: header

Path Parameters

workspaceId*string

Workspace id.

Formatuuid

Query Parameters

limit?integer

Maximum number of campaigns to return. Defaults to 50. Minimum 1, maximum 100.

Range1 <= value <= 100
Default50
cursor?string

Opaque pagination cursor from meta.pagination.nextCursor. Omit for the first page and pass back unchanged for the next page.

Length1 <= length <= 8192
status?string

Return campaigns with this lifecycle status.

Value in

  • "draft"
  • "active"
  • "paused"
  • "completed"
  • "archived"
  • "attention_needed"
displayStatus?string

Return campaigns with this display state. Defaults to active.

Default"active"

Value in

  • "active"
  • "archived"
providerId?string

Return campaigns for this provider connection id.

Formatuuid
createdAfter?string

Return campaigns created on or after this ISO 8601 date-time.

Formatdate-time
createdBefore?string

Return campaigns created on or before this ISO 8601 date-time.

Formatdate-time
updatedAfter?string

Return campaigns updated on or after this ISO 8601 date-time.

Formatdate-time
updatedBefore?string

Return campaigns updated on or before this ISO 8601 date-time.

Formatdate-time

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/campaigns"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c",      "name": "string",      "status": "draft",      "displayStatus": "active",      "providerId": "4834bcdc-4a64-444d-966b-1a6fe381da24",      "pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd",      "salesPersonId": "03243e06-a3eb-41b4-8b4b-b761b1b9c940",      "startDate": "2019-08-24T14:15:22Z",      "endDate": "2019-08-24T14:15:22Z",      "leadListName": "string",      "sourceUrl": "string",      "niche": "string",      "location": "string",      "jobTitle": "string",      "companySize": "string",      "industry": "string",      "totalLeads": 0,      "metrics": {        "openCount": 0,        "uniqueOpenCount": 0,        "linkClickCount": 0,        "replyCount": 0,        "uniqueReplyCount": 0,        "bouncedCount": 0,        "unsubscribedCount": 0,        "emailsSentCount": 0,        "newLeadsContactedCount": 0,        "contactedLeadsCount": 0,        "totalOpportunities": 0,        "totalOpportunityValue": 0,        "totalInterested": 0,        "totalMeetingBooked": 0,        "totalMeetingCompleted": 0,        "totalClosed": 0,        "openRate": 0,        "replyRate": 0,        "bounceRate": 0,        "meetingBookingRate": 0,        "snapshotAt": "2019-08-24T14:15:22Z"      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "links": {        "self": "http://example.com"      }    }  ],  "links": {    "self": "http://example.com",    "next": "http://example.com"  },  "meta": {    "pagination": {      "nextCursor": "string",      "hasMore": true,      "limit": 1    }  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}